/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         InvalidKQMLOpenException.java
**
** Description:  Contains the InvalidKQMLOpenException class that is
**               internal to the KRIL.
**
*/
package kqml;

/**
 * A class internal to the KRIL.
 *
 * It is used to generate an exception when a socket open fails on
 * behalf of a Connection constructors invoked in KqmlAgent when
 * creating the connection to the ANS for agent registration, in the
 * listener thread when accepting a connection from a remote agent,
 * and in KqmlAgent.ansLookupAndConnect.
 * 
 * @author Peter Stevens
 * @version $Revision: 1.4 $
 * @see Connection
 * @see KqmlAgent#ansLookupAndConnect(java.lang.String)
 */

class InvalidKQMLOpenException extends KqmlException
{
    // Constructors
    protected InvalidKQMLOpenException()         { super(); }
    protected InvalidKQMLOpenException(String s) { super(s); };
}
