/* File: ImageCanvas.java
 * Contains: ACP3 ImageCanvas - Canvas with a single changeable image
 * Author: Austin Tate <a.tate@ed.ac.uk>
 * Created: Fri Jan 16 11:12:41 1998
 * Updated: Fri Jan 23 09:00:10 1998
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.acp3;

import java.awt.*;
import java.awt.image.*;
import java.net.*;
import java.util.*;
import oplan.util.*;

class ImageCanvas extends Canvas {

    private Image offsc;
    private Dimension myDimension;
        
    ImageCanvas(Image img) {
        super();
        offsc=img;
        myDimension=new Dimension(offsc.getWidth(this),offsc.getHeight(this));
    }
        
    public Dimension minimumSize() {
         return myDimension;
    }
 
    public Dimension preferredSize() {
         return myDimension;
    }

    /* default update behaviour used, to ensure any old image is cleared out*/
    
    synchronized public void paint(Graphics g) {
         g.drawImage(offsc,0,0,this);
    }
    
    synchronized public void setCanvasImage(Image img) {
         offsc=img;
         myDimension=new Dimension(offsc.getWidth(this),offsc.getHeight(this));
         repaint();                        
    }

}

