/* File: TrivialProcessModel.java
 * Contains: A very simple ProcessModel class for debugging
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: April 1998
 * Updated: Mon Apr 20 13:50:37 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.acp3;


/** 
 * A very simple ProcessModel class for debugging.
 */

// N.B. Not complete.  Needs to record status information from the
// watcher (without any change-propagation) and send it to the viewer.

// Also, extending ProcessModel is not really safe, because we may
// forget to override some method.

public class TrivialProcessModel extends ProcessModel {

    ProcessViewer viewer;	// >>> Not the inherited one <<< /\/

    public TrivialProcessModel() {
    }

    public synchronized void setViewer(ProcessViewer viewer) {
	note("setViewer(" + viewer + ")");
	this.viewer = viewer;
    }

    public synchronized void reset() {
	note("reset()");
    }

    public synchronized void sendFullStateDescription() {
	note("sendFullStateDescription()");
    }

    public void startAction(String action, int coa) {
	note("startAction(" + action + ", " + coa + ")");
    }

    public void startAction(String action, int coa, int level) {
	note("startAction(" + action + ", " + coa + ", " + level + ")");
    }

    public void finishAction(String action, int coa) {
	note("finishAction(" + action + ", " + coa + ")");
    }

    public void finishAction(String action, int coa, int level) {
	note("finishAction(" + action + ", " + coa + ", " + level + ")");
    }

    protected void note(String message) {
	System.out.println(message);
    }

}
