/* File: WatcherListener.java
 * Contains: The definition of the WatcherListener interface
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: February 1998
 * Updated: Fri Mar 27 00:32:59 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.acp3;


/** 
 * The interface that objects must implement in order to receive information
 * from a watcher such as a KqmlWatcher.
 */

public interface WatcherListener {

    public void startAction(String action, int coa);

    public void startAction(String action, int coa, int level);

    public void finishAction(String action, int coa);

    public void finishAction(String action, int coa, int level);

}
