/* File: SeqTest.java
 * Contains: Main program for testing Seq(uence) methods
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: February 1998
 * Updated: Wed Mar 18 20:58:17 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.test;

import java.util.*;
import oplan.util.*;


/** A class for testing */

class SeqTest {

    public static void main(String[] argv) {

	Test.expect
	    ("Vector from StringTokenizer",
	     expectedVectorContents
	         (Seq.toVector(new StringTokenizer("a/b/c", "/")),
		  new String[] {"a", "b", "c"}));

	Test.expect
	    ("Filtering out \"a\"",
	     expectedElements
	        (Seq.filter
		   (Seq.elements(new String[] {"a","b","a","a","c","d","a"}),
		    new Predicate1() {
			public boolean trueOf(Object s) {
			    return !((String)s).equals("a");
			}
		    }),
		 new String[] {"b","c","d"}));

    }

    static boolean expectedVectorContents(Vector v, Object[] a) {
	if (v.size() != a.length)
	    return false;
	else
	    for (int i = 0; i < a.length; i++)
		if (!v.elementAt(i).equals(a[i]))
		    return false;
	return true;
    }

    static boolean expectedElements(Enumeration e, Object[] a) {
	return expectedVectorContents(Seq.toVector(e), a);
    }

}
